<!doctype html>
<html>
<head>
<title>Lunch Gathering</title>
<style>
body {
	font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
}
img {
	width: 300px;
	text-align: center;
}
<?php
	require_once "mobile_detect.php";
	$detect = new Mobile_Detect;
	if ($detect->isMobile()) {
		echo "
			#header {
				font-size: 4em;
			}
			#title {
				font-size: 2.5em;
			}
			#main {
				font-size: 2.5em;
			}
			#content p {
				font-size: 2em;
			}
			.radio_width {
				font-size: 2em;
			}
			table td {
				font-size: 2.5em;
			}
			input {
				font-size: 1.5em;
			}
			input[type=radio] {
				border: 0px;
				width: 60%;
				height: 1em;
			}
			#button {
				width: 50%;
				height: 2.5em;
				margin: 30px 0 100px 0;
				font-size: 2.5em;
			}
			table td {
				padding-bottom: 20px;
			}
		";
	} else {
		echo "
			#header {
				font-size: 2.5em;
			}
			#title {
				font-size: 1.2em;
			}
			#main {
				font-size: 1em;
			}
			#content p {
				font-size: 0.9em;
			}
			.radio_width {
				font-size: 1em;
			}
			#button {
				width: 150px;
				height: 30px;
				margin: 10px 0;
			}
			table td {
				padding-bottom: 8px;
			}
		";
	}
?>
#header {
	text-align: center;
	font-weight: 700;
	color: #EC3E7D;
}
#title {
	color: #FFA600;
	font-weight: 700;
}
#main {
	margin-bottom: 20px;
}
#content {
	margin-top: 50px;
	text-align: center;
}
.radio_width {
	width: 10%;
	text-align: center;
}
table {
	margin-left: auto;
	margin-right: auto;
}
table td {
	text-align: left;
	color: #9400D3;
}
hr {
	width: 80%;
}
</style>
</head>
<body>
<?php
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		date_default_timezone_set("Asia/Hong_Kong");
		$d = date('Y/m/d h:i:sa');
		$ip = $_SERVER['REMOTE_ADDR'];
		$file = "record.txt";
		file_put_contents($file, $d.','.$ip.','.$_POST["username"].",".$_POST["email"].",".$_POST["choice"].PHP_EOL , FILE_APPEND);
		echo "
			<div id='header'>
			<p><img src='done.png'></p>
			Registration Completed.
			</div>
		";
	} else {
		$file = "total.txt";
		$qty = intval(file_get_contents($file));
		$qty--;
		if ($qty < 0) {
			echo "
				<div id='header'>
				<p><img src='sorry.png'></p>
				No more free lunch box available.
				</div>
			";
			exit();
		} else {
			file_put_contents($file, $qty);
			echo "
				<div id='header'>
				<p><img src='lunch.png'></p>
				You earn a free lunch.
				</div>
				<div id='content'>
					<form action='' method='POST'>
					<div id='main'>Enter your name: <input type='text' name='username' required></div>
					<div id='main'>Enter your email address: <input type='email' name='email' required></div>
					<div id='main'>Select your lunch box from Set A to Set D:</div>
					<hr>
					<div id='title'>Set A: Local Favourites Bento Box</div>
					<p>Shanghai style marinated Chinese gluten and mushrooms (上海烤麩)</p>
					<p>Cold chicken salad, glass noodles, sliced cucumber and peanut sauce (雞絲粉皮)</p>
					<p>Spicy braised beef shank, tofu, sesame and chilli oil (麻香涼拌豆腐牛腱)</p>
					<table>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='A1' required></td>
					<td>A1: Hainanese chicken rice, seasonal green vegetables (海南鷄飯)</td>
					</tr>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='A2' required></td>
					<td>A2: Steamed tootfish fillet, preserved black bean, ginger, soy sauce, steamed rice (豉汁蒸魚柳配絲苗白飯)</td>
					</tr>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='A3' required></td>
					<td>A3: Kung Pao sustainable tiger prawns, steamed rice (宮保虎蝦配絲苗白飯)</td>
					</tr>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='A4' required></td>
					<td>A4: Char Siu pork, fried egg, choy sum, steamed rice (蜜汁叉燒煎蛋配絲苗白飯)</td>
					</tr>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='A5' required></td>
					<td>A5: Omnipork vegan mapo tofu, steamed vegetables, steamed rice (麻婆素肉豆腐配絲苗白飯)</td>
					</tr>
					</table>
					<p>Mango pudding, fresh pomelo (香芒布甸)</p>
					<p>Fresh sliced fruit (時令鮮果)</p>
					<p>SAICHO Sparkling Hojicha SAICHO (有汽焙茶)</p>
					<hr>
					
					<div id='title'>Set B: Japanese Bento Box</div>
					<p>Maki sushi, cucumber, avocado</p>
					<p>Poached English spinach and sesame salad</p>
					<p>Soba noodles, ponzu</p>
					<table>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='B1' required></td>
					<td>B1: Teriyaki grilled salmon fillet, grated radish</td>
					</tr>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='B2' required></td>
					<td>B2: Crispy chicken, green pepper, lemon</td>
					</tr>
					</table>
					<p>Matcha tea opera cake</p>
					<p>Fresh sliced fruit</p>
					<p>SAICHO Sparkling Hojicha</p>
					<hr>
					
					<div id='title'>Set C: Mediterranean Bento Box</div>
					<p>Buratta cheese, heirloom tomato, pesto</p>
					<p>Mediterranean seafood salad, artichokes, grilled peppers, lemon</p>
					<p>Balik style smoked salmon, heirloom potato salad, honey mustard dressing</p>
					<table>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='C1' required></td>
					<td>C1: Braised beef shin, carrots, mushrooms, mashed potatoes</td>
					</tr>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='C2' required></td>
					<td>C2: Grilled salmon fillet, broccolini, garlic, lemon</td>
					</tr>
					</table>
					<p>Strawberry cream cake</p>
					<p>Fresh sliced fruit</p>
					<p>SAICHO Sparkling Hojicha</p>
					<hr>
					
					<div id='title'>Set D: Vegetarian Bento Box</div>
					<p>Maki sushi, cucumber, avocado</p>
					<p>Buratta cheese, heirloom tomato, pesto</p>
					<p>Steamed eggplant, dashi jelly</p>
					<table>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='D1' required></td>
					<td>D1: Impossible meat balls, rich tomato ragout, broccoli</td>
					</tr>
					<tr>
					<td class='radio_width'><input type='radio' name='choice' value='D2' required></td>
					<td>D2: Omnipork vegan mapo tofu, steamed vegetables, steamed rice (麻婆素肉豆腐配絲苗白飯)</td>
					</tr>
					</table>
					<p>Dessert (regular menu)</p>
					<p>Fresh sliced fruit</p>
					<p>SAICHO Sparkling Hojicha</p>
					<hr>
					<input id='button' type='submit' value='Submit'>
					</form>
				</div>
			";
		}
	}
?>
</body>
</html>